Package org.drinkless.tdlib

# Class TdApi.UpdateChatFolders

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatFolders

Enclosing class:
  TdApi

public static class TdApi.UpdateChatFolders extends TdApi.Update
The list of chat folders or a chat folder has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `areTagsEnabled`
  True, if folder tags are enabled.
  `TdApi.ChatFolderInfo[]`
  `chatFolders`
  The new list of chat folders.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `mainChatListPosition`
  Position of the main chat list among chat folders, 0-based.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatFolders()`
  The list of chat folders or a chat folder has changed.
  `UpdateChatFolders(TdApi.ChatFolderInfo[] chatFolders, int mainChatListPosition, boolean areTagsEnabled)`
  The list of chat folders or a chat folder has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolders

    public TdApi.ChatFolderInfo[] chatFolders
    The new list of chat folders.

  - ### mainChatListPosition

    public int mainChatListPosition
    Position of the main chat list among chat folders, 0-based.

  - ### areTagsEnabled

    public boolean areTagsEnabled
    True, if folder tags are enabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatFolders

    public UpdateChatFolders()
    The list of chat folders or a chat folder has changed.

  - ### UpdateChatFolders

    public UpdateChatFolders(TdApi.ChatFolderInfo[] chatFolders, int mainChatListPosition, boolean areTagsEnabled)
    The list of chat folders or a chat folder has changed.
    Parameters:
      `chatFolders` - The new list of chat folders.
      `mainChatListPosition` - Position of the main chat list among chat folders, 0-based.
      `areTagsEnabled` - True, if folder tags are enabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR